#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

void debug_exit(int rc, int lineno)
{
  if (rc == 0) exit(0);
  fprintf(stderr, "Exiting with code %d at line %d\n", rc, lineno);
  fprintf(stderr, "(Press RETURN to exit)");fflush(stderr);
  (void)fgetc(stdin);
  exit(rc);
}
#define exit(n) debug_exit(n, __LINE__)

int main(int argc, char **argv) {
  char command[4096];
  char *s = command;
  int rc;

  if (argc != 2) {
    fprintf(stdout, "syntax: encrypt filename\n"); exit(1);
  }

  sprintf(command, "gpg --keyring \"C:\\Documents and Settings"
                   "\\gtoal\\Application Data\\gnupg\\pubring.gpg\""
                   " --secret-keyring "
                   "\"C:\\Documents and Settings\\gtoal\\Application"
                   " Data\\gnupg\\secring.gpg\""
                   " --batch --with-colons -r gtoal@utpa.edu -e \"%s\"",
          argv[1]);
  fprintf(stderr, "Executing %s\n", command); fflush(stderr);
  rc = system(command);
  if (rc != 0) exit(rc);

  // Now delete the input file!

  rc = remove(argv[1]); 

  exit(rc); return(rc);
}
